class DamsAssembledCollection < ActiveFedora::Base
  include Hydra::AccessControls::Permissions
  include Hydra::ModelMethods

  has_metadata 'damsMetadata', :type => DamsAssembledCollectionDatastream 
  has_attributes     :relResourceURI, :beginDate, :builtWorkPlace_attributes, :builtWorkPlace, :complexSubject_attributes, :complexSubject, :conferenceName_attributes, :conferenceName, :corporateName_attributes, :corporateName, :creatorURI, :culturalContext_attributes, :culturalContext, :custodialResponsibilityNote, :custodialResponsibilityNote_attributes, :date_attributes, :date, :dateValue, :endDate, :event, :familyName_attributes, :familyName, :file_attributes, :file, :function_attributes, :function, :genreForm_attributes, :genreForm, :geographic_attributes, :geographic, :iconography_attributes, :iconography, :lithology_attributes, :lithology, :series_attributes, :series, :cruise_attributes, :cruise, :anatomy_attributes, :anatomy, :language_attributes, :language, :languageURI, :license_attributes, :license, :licenseURI, :name_attributes, :name, :nameType, :nameURI, :note_attributes, :note, :noteDisplayLabel, :noteType, :occupation_attributes, :occupation, :otherRights_attributes, :otherRights, :otherRightsURI, :personalName_attributes, :personalName, :preferredCitationNote, :preferredCitationNote_attributes, :assembledCollection, :part_node, :relatedResource_attributes, :relatedResource, :relatedResourceDescription, :relatedResourceType, :relatedResourceUri, :relationship_attributes, :relationship, :relationshipNameType, :relationshipNameURI, :relationshipRoleURI, :commonName_attributes, :commonName, :scientificName_attributes, :scientificName, :scopeContentNote_attributes, :scopeContentNote, :simpleSubjectURI, :sourceCapture, :statute_attributes, :statute, :statuteURI, :stylePeriod_attributes, :stylePeriod, :subject, :subjectType, :subjectURI, :subtitle, :technique_attributes, :technique, :temporal_attributes, :temporal, :title_attributes,    :title, :titleNonSort, :titlePartName, :titlePartNumber, :titleValue, :titleVariant, :titleTranslationVariant, :titleAbbreviationVariant, :titleAcronymVariant, :titleExpansionVariant, :topic_attributes, :topic, :typeOfResource, :resource_type, :assembledCollection, :assembledCollectionURI, :assembledCollection_node, :assembledSuperCollectionURI, :assembledCollection_super_node, :provenanceCollection, :provenanceCollectionURI, :provenanceCollection_node, :provenanceCollectionPart_attributes, :provenanceCollectionPart, :provenanceCollectionPartURI, :provenanceHasCollPartURI, :unitURI, :unit_attributes, :unit, :visibility, datastream: :damsMetadata, multiple: true
  
end
